Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(136)

Issue 22987003: Fix clip expansion in SkPictureRecord::recordRestoreOffsetPlaceholder() (Closed)

Created:
6 years, 1 month ago by f(malita)
Modified:
6 years ago
CC:
skia-review_googlegroups.com
Visibility:
Public.

Description

Fix clip expansion in SkPictureRecord::recordRestoreOffsetPlaceholder() For operations which can expand the region, zeroing previous clip ops' restore offsets is not enough: we need to also break the chain - otherwise the next restore() will simply traverse back and reset the skip offsets. R=robertphillips@google.com Committed: https://code.google.com/p/skia/source/detail?r=10934

Patch Set 1 #

Total comments: 4

Patch Set 2 : Updated per comments. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+70 lines, -6 lines) Patch
M src/core/SkPictureRecord.cpp View 1 1 chunk +12 lines, -6 lines 0 comments Download
M tests/PictureTest.cpp View 1 3 chunks +58 lines, -0 lines 0 comments Download

Messages

Total messages: 6 (0 generated)
f(malita)
6 years, 1 month ago (2013-08-14 22:28:54 UTC) #1
reed1
6 years, 1 month ago (2013-08-15 12:18:31 UTC) #2
robertphillips
lgtm + nits https://codereview.chromium.org/22987003/diff/1/src/core/SkPictureRecord.cpp File src/core/SkPictureRecord.cpp (right): https://codereview.chromium.org/22987003/diff/1/src/core/SkPictureRecord.cpp#newcode731 src/core/SkPictureRecord.cpp:731: Reset the pointer back to the ...
6 years ago (2013-08-27 15:08:56 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://skia-tree-status.appspot.com/cq/fmalita@chromium.org/22987003/11001
6 years ago (2013-08-27 15:31:03 UTC) #4
commit-bot: I haz the power
Retried try job too often on Build-Mac10.7-Clang-x86-Release-Trybot for step(s) BuildMost http://173.255.115.253:10117/buildstatus?builder=Build-Mac10.7-Clang-x86-Release-Trybot&number=497
6 years ago (2013-08-27 15:45:30 UTC) #5
f(malita)
6 years ago (2013-08-27 15:50:25 UTC) #6
Message was sent while issue was closed.
Committed patchset #2 manually as r10934 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698